
package net.mcreator.engineerhaven.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.ShovelItem;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

import net.mcreator.engineerhaven.EngineerHavenModElements;

@EngineerHavenModElements.ModElement.Tag
public class VoidshovelItem extends EngineerHavenModElements.ModElement {
	@ObjectHolder("engineer_haven:voidshovel")
	public static final Item block = null;
	public VoidshovelItem(EngineerHavenModElements instance) {
		super(instance, 35);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new ShovelItem(new IItemTier() {
			public int getMaxUses() {
				return 999;
			}

			public float getEfficiency() {
				return 99f;
			}

			public float getAttackDamage() {
				return 8f;
			}

			public int getHarvestLevel() {
				return 99;
			}

			public int getEnchantability() {
				return 99;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.fromStacks(new ItemStack(Void_gemItem.block));
			}
		}, 1, 1f, new Item.Properties().group(ItemGroup.TOOLS).isImmuneToFire()) {
		}.setRegistryName("voidshovel"));
	}
}
